package de.fhdw.gaming.memory.impl;

import java.util.Map;

import de.fhdw.gaming.core.domain.Observer;
import de.fhdw.gaming.core.domain.ObserverFactory;

/**
 * A factory for a game to hand over to the gaming framework. Allows the game to create the implemented observer.
 */
public final class MemoryObserverFactoryImpl implements ObserverFactory {

    @Override
    public String getName() {
        return "Memory";
    }

    @Override
    public Observer createObserver(final Map<String, Object> parameters) {
        return new MemoryObserverImpl();
    }
    
    @Override
    public Observer createObserver() {
        return new MemoryObserverImpl();
    }
}
